| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Enumerations | Functions
help_url.h File Reference
`#include <ws_attributes.h>`

Go to the source code of this file.

## Enumerations
enum | topic_action_e { TOPIC_ACTION_NONE , ONLINEPAGE_WIRESHARK_HOME , ONLINEPAGE_WIRESHARK_WIKI , ONLINEPAGE_USERGUIDE , ONLINEPAGE_FAQ , ONLINEPAGE_WIRESHARK_DOWNLOAD , ONLINEPAGE_DOCS , ONLINEPAGE_SAMPLE_FILES , ONLINEPAGE_CAPTURE_SETUP , ONLINEPAGE_NETWORK_MEDIA , ONLINEPAGE_SAMPLE_CAPTURES , ONLINEPAGE_SECURITY , ONLINEPAGE_ASK , ONLINEPAGE_DFILTER_REF , ONLINEPAGE_STRATOSHARK_HOME , ONLINEPAGE_STRATOSHARK_WIKI , ONLINEPAGE_STRATOSHARK_DOWNLOAD , LOCALPAGE_MAN_WIRESHARK = 100 , LOCALPAGE_MAN_STRATOSHARK , LOCALPAGE_MAN_WIRESHARK_FILTER , LOCALPAGE_MAN_CAPINFOS , LOCALPAGE_MAN_DUMPCAP , LOCALPAGE_MAN_EDITCAP , LOCALPAGE_MAN_MERGECAP , LOCALPAGE_MAN_RAWSHARK , LOCALPAGE_MAN_REORDERCAP , LOCALPAGE_MAN_TEXT2PCAP , LOCALPAGE_MAN_TSHARK , LOCALPAGE_WIRESHARK_RELEASE_NOTES , LOCALPAGE_STRATOSHARK_RELEASE_NOTES , HELP_CONTENT = 200 , HELP_GETTING_STARTED , HELP_CAPTURE_OPTIONS , HELP_CAPTURE_FILTERS_DIALOG , HELP_DISPLAY_FILTERS_DIALOG , HELP_FILTER_EXPRESSION_DIALOG , HELP_DISPLAY_MACRO_DIALOG , HELP_COLORING_RULES_DIALOG , HELP_CONFIG_PROFILES_DIALOG , HELP_PRINT_DIALOG , HELP_FIND_DIALOG , HELP_FILESET_DIALOG , HELP_FIREWALL_DIALOG , HELP_GOTO_DIALOG , HELP_CAPTURE_OPTIONS_DIALOG , HELP_CAPTURE_MANAGE_INTERFACES_DIALOG , HELP_ENABLED_PROTOCOLS_DIALOG , HELP_ENABLED_HEURISTICS_DIALOG , HELP_DECODE_AS_DIALOG , HELP_DECODE_AS_SHOW_DIALOG , HELP_FOLLOW_STREAM_DIALOG , HELP_SHOW_PACKET_BYTES_DIALOG , HELP_EXPERT_INFO_DIALOG , HELP_EXTCAP_OPTIONS_DIALOG , HELP_STATS_SUMMARY_DIALOG , HELP_STATS_PROTO_HIERARCHY_DIALOG , HELP_STATS_ENDPOINTS_DIALOG , HELP_STATS_CONVERSATIONS_DIALOG , HELP_STATS_IO_GRAPH_DIALOG , HELP_STATS_LTE_MAC_TRAFFIC_DIALOG , HELP_STATS_LTE_RLC_TRAFFIC_DIALOG , HELP_STATS_TCP_STREAM_GRAPHS_DIALOG , HELP_STATS_WLAN_TRAFFIC_DIALOG , HELP_CAPTURE_INTERFACE_OPTIONS_DIALOG , HELP_PREFERENCES_DIALOG , HELP_CAPTURE_INFO_DIALOG , HELP_EXPORT_FILE_DIALOG , HELP_EXPORT_BYTES_DIALOG , HELP_EXPORT_PDUS_DIALOG , HELP_STRIP_HEADERS_DIALOG , HELP_EXPORT_OBJECT_LIST , HELP_OPEN_DIALOG , HELP_MERGE_DIALOG , HELP_IMPORT_DIALOG , HELP_SAVE_DIALOG , HELP_EXPORT_FILE_WIN32_DIALOG , HELP_OPEN_WIN32_DIALOG , HELP_MERGE_WIN32_DIALOG , HELP_SAVE_WIN32_DIALOG , HELP_TIME_SHIFT_DIALOG , HELP_TELEPHONY_VOIP_CALLS_DIALOG , HELP_TELEPHONY_RTP_ANALYSIS_DIALOG , HELP_TELEPHONY_RTP_STREAMS_DIALOG , HELP_NEW_PACKET_DIALOG , HELP_IAX2_ANALYSIS_DIALOG , HELP_TELEPHONY_RTP_PLAYER_DIALOG , HELP_STAT_FLOW_GRAPH , HELP_STATS_PLOT_DIALOG }

## Functions
WS_RETNONNULL char * | user_guide_url (const char *page)
WS_RETNONNULL char * | topic_action_url (topic_action_e action)
void | topic_action (topic_action_e topic)

## Detailed Description

Some content from gtk/help_dlg.h by Laurent Deniel laure.nosp@m.nt.d.nosp@m.eniel.nosp@m.@fre.nosp@m.e.fr

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2000 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later*

"Help" URLs.

## Function Documentation

## ◆ topic_action()

void topic_action | ( | topic_action_e | topic | ) |

Open a specific topic (create a "Help" dialog box or open a webpage).

Parameters

  topic | the topic to display

## ◆ topic_action_url()

WS_RETNONNULL char * topic_action_url | ( | topic_action_e | action | ) |

Given a topic action return its URL. If the attempt fails NULL will be returned.

Parameters

  action | Topic action.

Returns
  A static URL. The return value must be freed with g_free().

## ◆ user_guide_url()

WS_RETNONNULL char * user_guide_url | ( | const char * | page | ) |

Given a page in the Wireshark User's Guide return its URL. Returns a URL to a local file if present, or to the online guide if the local file is unavailable.

Parameters

  page | A page in the User's Guide.

Returns
  A static URL. The return value must be freed with g_free().